<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<link rel="stylesheet" href="style.css" type="text/css"/>
<script src="code.js" type="text/javascript"></script>

<h1>Benchmark B: local OVA file</h1>

<style>
table#bench {
    width: 90%;
}
table#bench th {
    vertical-align: top;
}
</style>

<table id="bench">
<tr>
<th> cp </th>
<td> <pre style="font-size: 60%">cp test.ova test2.ova</pre> </td>
<td> </td>
</tr>

<tr>
<th> tar </th>
<td> <pre style="font-size: 60%">tar xf test.ova fedora-33.img</pre> </td>
<td> </td>
</tr>

<tr>
<th> nbdkit <br/>
+ sparsify <br/>
+ qemu-img </th>
<td>
<pre style="font-size: 40%">
          nbdkit tar
┌──────────┐filter┌────────────┐
│ test.ova │─────▶│ qcow2 file │◀─── virt-sparsify --in-place
└──────────┘      └────────────┘                            ┌───────────┐
                                 ───▶ qemu-img convert ────▶│ local.img │
                                                            └───────────┘
</pre>
</td>
<td> </td>
</tr>
</table>
